Bug 68428 - [JSC]Two tests fails after r95489 & r95488
Summary: [JSC]Two tests fails after r95489 & r95488
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P1 Critical
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-20 00:44 PDT by Renata Hodovan
Modified: 2011-10-07 22:36 PDT (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Renata Hodovan 2011-09-20 00:44:15 PDT
Failed tests are:
 http/tests/security/window-named-proto.html
 http/tests/security/document-all.html

http/tests/security/window-named-proto.html:

--- /home/reni/repos/WebKit-gardening/WebKit-git/WebKitBuild/Release/layout-test-results/http/tests/security/window-named-proto-expected.txt
+++ /home/reni/repos/WebKit-gardening/WebKit-git/WebKitBuild/Release/layout-test-results/http/tests/security/window-named-proto-actual.txt
@@ -1,4 +1,2 @@
-CONSOLE MESSAGE: line 1: Unsafe JavaScript attempt to access frame with URL http://localhost:8080/security/resources/innocent-victim-with-iframe.html from frame with URL data:text/html,<script>(function () {            setTimeout(function() {                if (window.layoutTestController)                    layoutTestController.notifyDone();            }, 0);            window.name = "__proto__";            parent.__proto__.alert.constructor("alert(document.body.innerHTML)")();        })()</script>. Domains, protocols and ports must match.
+CONSOLE MESSAGE: line 1: TypeError: 'null' is not an object (evaluating 'document.body.innerHTML')
 
-CONSOLE MESSAGE: line 1: Uncaught TypeError: Cannot read property 'alert' of undefined
-


http/tests/security/document-all.html:

--- /home/reni/repos/WebKit-gardening/WebKit-git/WebKitBuild/Release/layout-test-results/http/tests/security/document-all-expected.txt
+++ /home/reni/repos/WebKit-gardening/WebKit-git/WebKitBuild/Release/layout-test-results/http/tests/security/document-all-actual.txt
@@ -1,2 +1,2 @@
-CONSOLE MESSAGE: line 1: Uncaught TypeError: Illegal constructor
+CONSOLE MESSAGE: line 1: TypeError: '[object DOMWindowConstructor]' is not a function (evaluating 'obj.alert.constructor("return document.body.innerHTML")')
Comment 1 Adam Barth 2011-09-20 00:54:04 PDT
Those results are fine.  These tests just need different baselines for JSC and V8.
Comment 2 Adam Barth 2011-09-22 14:25:24 PDT
http/tests/security/document-all.html has the same problem.
Comment 3 Csaba Osztrogonác 2011-10-06 05:39:29 PDT
Qt (JSC) specific expected files landed in http://trac.webkit.org/changeset/95529
Comment 4 Ryosuke Niwa 2011-10-07 22:36:52 PDT
Committed r97001: <http://trac.webkit.org/changeset/97001>